import { useWearableTypeStore } from "@/stores/admin/unit/wearableType/wearableType";
import { useWearableTypeInspectionPlanStore } from "@/stores/admin/unit/wearableType/inspectionPlan";

export async function setWearableTypeId(to: any, from: any, next: any) {
  const wearableTypeStore = useWearableTypeStore();
  wearableTypeStore.activeWearableType = to.params?.wearableTypeId ?? null;

  useWearableTypeInspectionPlanStore().$reset();

  next();
}

export async function resetWearableTypeStores(to: any, from: any, next: any) {
  const wearableTypeStore = useWearableTypeStore();
  wearableTypeStore.activeWearableType = null;
  wearableTypeStore.activeWearableTypeObj = null;

  useWearableTypeInspectionPlanStore().$reset();

  next();
}
