import { useVehicleTypeStore } from "@/stores/admin/unit/vehicleType/vehicleType";
import { useVehicleTypeInspectionPlanStore } from "@/stores/admin/unit/vehicleType/inspectionPlan";

export async function setVehicleTypeId(to: any, from: any, next: any) {
  const vehicleTypeStore = useVehicleTypeStore();
  vehicleTypeStore.activeVehicleType = to.params?.vehicleTypeId ?? null;

  useVehicleTypeInspectionPlanStore().$reset();

  next();
}

export async function resetVehicleTypeStores(to: any, from: any, next: any) {
  const vehicleTypeStore = useVehicleTypeStore();
  vehicleTypeStore.activeVehicleType = null;
  vehicleTypeStore.activeVehicleTypeObj = null;

  useVehicleTypeInspectionPlanStore().$reset();

  next();
}
